---
title: Stop E-URL
slug: fourkites-api-reference/stop-e-url
description: Learn how to use the Share Shipment Status API to retrieve detailed tracking information for a load's delivery stop. This document includes code examples in various programming languages and outlines the necessary parameters for the API request. Access a
icon: {"apiMethod":"GET"}
createdAt: 2023-04-14T05:22:28.000Z
---

This API returns the Share Shipment Status of a load’s delivery stop. This URL can be shared with customers/partners to get detailed information about the load and its tracking information along with the ETA of that particular delivery stop.

:::ApiMethodV2
```json
{
  "name": "Stop E-URL",
  "method": "GET",
  "url": "https://api.fourkites.com/shipments/{fourKitesShipmentID}/stops/{fourKitesStopID}/fourkites-tracking-url?templateID={templateID}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "vJaCjLxPUsUhMdbh1j_rw",
        "language": "curl",
        "code": "curl --location --globoff 'https://api.fourkites.com/shipments/{fourKitesShipmentID}/stops/{fourKitesStopID}/fourkites-tracking-url?templateID={templateID}' \\\n--header 'apikey: REPLACE_KEY_VALUE'",
        "customLabel": ""
      },
      {
        "id": "QVGa1hH5R0JAKl-2f_v5j",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"text/plain\");\nRequestBody body = RequestBody.create(mediaType, \"\");\nRequest request = new Request.Builder()\n  .url(\"https://api.fourkites.com/shipments/{fourKitesShipmentID}/stops/{fourKitesStopID}/fourkites-tracking-url?templateID={templateID}\")\n  .method(\"GET\", body)\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "customLabel": ""
      },
      {
        "id": "luYUuNN5KAWZh1XHAHmde",
        "language": "javascript",
        "code": "var settings = {\n  \"url\": \"https://api.fourkites.com/shipments/{fourKitesShipmentID}/stops/{fourKitesStopID}/fourkites-tracking-url?templateID={templateID}\",\n  \"method\": \"GET\",\n  \"timeout\": 0,\n  \"headers\": {\n    \"apikey\": \"REPLACE_KEY_VALUE\"\n  },\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});",
        "customLabel": ""
      },
      {
        "id": "6FOGI6KVPK2Oe1slTPqWn",
        "language": "swift",
        "code": "var request = URLRequest(url: URL(string: \"https://api.fourkites.com/shipments/{fourKitesShipmentID}/stops/{fourKitesStopID}/fourkites-tracking-url?templateID={templateID}\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n}\n\ntask.resume()\n",
        "customLabel": ""
      },
      {
        "id": "OO-io0HB37D7XSw2066mh",
        "language": "csharp",
        "code": "var client = new HttpClient();\nvar request = new HttpRequestMessage(HttpMethod.Get, \"https://api.fourkites.com/shipments/{fourKitesShipmentID}/stops/{fourKitesStopID}/fourkites-tracking-url?templateID={templateID}\");\nrequest.Headers.Add(\"apikey\", \"REPLACE_KEY_VALUE\");\nvar response = await client.SendAsync(request);\nresponse.EnsureSuccessStatusCode();\nConsole.WriteLine(await response.Content.ReadAsStringAsync());\n",
        "customLabel": ""
      },
      {
        "id": "1SgiBJ-cHSmjQzZNNm2Hu",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api.fourkites.com/shipments/{fourKitesShipmentID}/stops/{fourKitesStopID}/fourkites-tracking-url?templateID={templateID}\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      },
      {
        "id": "a9K6_TkS1JzlBO7bFSJxO",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.fourkites.com/shipments/{fourKitesShipmentID}/stops/{fourKitesStopID}/fourkites-tracking-url?templateID={templateID}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "mdb7G_M2LYiUcMeszzkEy",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.fourkites.com\")\npayload = ''\nheaders = {\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"GET\", \"/shipments/{fourKitesShipmentID}/stops/{fourKitesStopID}/fourkites-tracking-url?templateID=%7BtemplateID%7D\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "vJaCjLxPUsUhMdbh1j_rw"
  },
  "results": {
    "languages": [
      {
        "id": "dYqknfD1gReF4shQ4eQ7C",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"data\": \"https://app.fourkites.com/stop-shareable-e-url\",\n    \"requestId\": \"brkrjs9ghpuac6skpa5g\"\n}\n"
      }
    ],
    "selectedLanguageId": "dYqknfD1gReF4shQ4eQ7C"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "stop-e-url",
  "legacyHash": "zCmGhHwDApABMYVNVDaTF"
}
```
:::

| Name                  | Param Type | Format | Default              | Description                                                                                                                                         |
| --------------------- | ---------- | ------ | -------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| `fourKitesShipmentID` | Path       | String | NA                   | `fourKitesShipmentID` is a FourKites® generated identifier for a shipment that is returned as part of the shipment list and detailed response.      |
| `fourKitesStopID`     | Path       | String | NA                   | `fourKitesStopID` is FourKites® generated identifier for a stop of a shipment which is returned as part of the shipment list and detailed response. |
| `templateID`          | Path       | String | Default SSS template | templateID is a FourKites generated identifier for an SSS template. This parameter is Optional.                                                     |
